Page MenuHomePhabricator

[clang-cl] Bump default -fms-compatibility-version to 19.14
ClosedPublic

Authored by zequanwu on Thu, May 27, 4:39 PM.

Details

Summary

MSVC required version is 19.14 now (https://reviews.llvm.org/D92515). Update the
default -fms-compatibility-version to 19.14.

Diff Detail

Event Timeline

zequanwu requested review of this revision.Thu, May 27, 4:39 PM
zequanwu created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptThu, May 27, 4:39 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
rnk accepted this revision.Thu, May 27, 7:42 PM

lgtm with the comment update

I'm surprised there wasn't more fallout.

clang/lib/Driver/ToolChains/MSVC.cpp
1340–1341

It's not 2021, it corresponds to 2017, 15.7.

This revision is now accepted and ready to land.Thu, May 27, 7:42 PM
zequanwu updated this revision to Diff 348438.Thu, May 27, 8:40 PM

address comment

This revision was landed with ongoing or failed builds.Thu, May 27, 8:41 PM
This revision was automatically updated to reflect the committed changes.